#include <iostream>
using namespace std;
int main()
{
    int x1,y1,x2,y2, brkvadrata;
    cin>>x1>>y1;
    cin>>x2>>y2;
    if(x1==x2)
    brkvadrata=2;
    else if(y1==y2)
    brkvadrata=2;
    else if((x1==y1)&&(x2==y2))
    brkvadrata=1;
    else if((x1==y2)&&(y1==x2))
    brkvadrata=1;
    else
    brkvadrata=0;
    cout<<brkvadrata;
    return 0;
}